summaryrefslogtreecommitdiff
path: root/dev-python/alembic
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/alembic
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/alembic')
-rw-r--r--dev-python/alembic/Manifest2
-rw-r--r--dev-python/alembic/alembic-1.0.8.ebuild48
-rw-r--r--dev-python/alembic/alembic-1.4.2.ebuild45
-rw-r--r--dev-python/alembic/metadata.xml13
4 files changed, 108 insertions, 0 deletions
diff --git a/dev-python/alembic/Manifest b/dev-python/alembic/Manifest
new file mode 100644
index 000000000000..00fa6f5c4392
--- /dev/null
+++ b/dev-python/alembic/Manifest
@@ -0,0 +1,2 @@
+DIST alembic-1.0.8.tar.gz 1030713 BLAKE2B 67cb80ed064e99f27e41a7ae2e42231794c177f96b95e2c3409a0ebc26e5323665147b2721efcc4a4d8ee2a71ada76408187f39ff5ad3745de64ed31f87d2895 SHA512 7a2ab63c6a823a32f45cd8ff5b763671806a8fa3d2b31e09c2051bdf92784fdafea1e3be217d84885d92eaf550e223ef77fd6fd387d35a5882d60ebcf042d835
+DIST alembic-1.4.2.tar.gz 1092045 BLAKE2B 5f4001a756aacbb4db509669bc0d4d7c59c38e2983c433283243efa97bf28a22e38bcfd28a4bc72573e8ab78d6590e78f4e12a5b9dd08b60cf5a84520b955056 SHA512 82bdfe442c19033aa2b802ec49edd13ed265c00a2b5a048490a83ffa8e53587c56a90b64d554e746a9189923419c528482cb7a7c950c210e0de47b32fa7c270e
diff --git a/dev-python/alembic/alembic-1.0.8.ebuild b/dev-python/alembic/alembic-1.0.8.ebuild
new file mode 100644
index 000000000000..c19da229c3ab
--- /dev/null
+++ b/dev-python/alembic/alembic-1.0.8.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+inherit distutils-r1
+
+DESCRIPTION="database migrations tool, written by the author of SQLAlchemy"
+HOMEPAGE="https://bitbucket.org/zzzeek/alembic"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 ~arm64 x86"
+IUSE="test doc"
+RESTRICT="!test? ( test )"
+
+# requires.txt cites 'SQLAlchemy>=0.7.3' which is really both old and silly
+# because it shatters the testsuite. If 'someone' cares to adhere to correct form
+# and edit to -0.7.3, feel free, and then pick up the pieces.
+RDEPEND=">=dev-python/sqlalchemy-0.9.0[${PYTHON_USEDEP}]
+ dev-python/mako[${PYTHON_USEDEP}]
+ >=dev-python/python-editor-0.3[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( ${RDEPEND}
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}] )"
+# For test phase
+DISTUTILS_IN_SOURCE_BUILD=1
+
+python_prepare_all() {
+ # suite passes all if run from source. The residual fail & error are quite erroneous
+ rm tests/test_script_consumption.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ ${EPYTHON} run_tests.py || die "Testing failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/. )
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/alembic/alembic-1.4.2.ebuild b/dev-python/alembic/alembic-1.4.2.ebuild
new file mode 100644
index 000000000000..581f85706873
--- /dev/null
+++ b/dev-python/alembic/alembic-1.4.2.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+inherit distutils-r1
+
+DESCRIPTION="database migrations tool, written by the author of SQLAlchemy"
+HOMEPAGE="https://bitbucket.org/zzzeek/alembic"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 ~arm64 x86"
+IUSE="test doc"
+RESTRICT="!test? ( test )"
+
+RDEPEND=">=dev-python/sqlalchemy-1.1.0[${PYTHON_USEDEP}]
+ dev-python/mako[${PYTHON_USEDEP}]
+ >=dev-python/python-editor-0.3[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( ${RDEPEND}
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}] )"
+# For test phase
+DISTUTILS_IN_SOURCE_BUILD=1
+
+python_prepare_all() {
+ # suite passes all if run from source. The residual fail & error are quite erroneous
+ rm tests/test_script_consumption.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ ${EPYTHON} run_tests.py || die "Testing failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/. )
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/alembic/metadata.xml b/dev-python/alembic/metadata.xml
new file mode 100644
index 000000000000..34e0adeb1ac7
--- /dev/null
+++ b/dev-python/alembic/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">alembic</remote-id>
+ <remote-id type="bitbucket">zzzeek/alembic</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>